package com.bytedance.android.livesdk.gift.model;

import com.bytedance.android.livesdk.model.Gift;
import com.bytedance.android.livesdk.model.GiftTrayInfo;
import com.bytedance.android.livesdk.model.message.common.Text;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class GiftData {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    public static final Long LJ = 0L;
    @c(LIZ = "display_text")
    public Text LJFF;
    @c(LIZ = "describe")
    public String LJI;
    @c(LIZ = "gift_id")
    public Long LJII;
    @c(LIZ = "group_count")
    public Long LJIIIIZZ;
    @c(LIZ = "repeat_count")
    public Long LJIIIZ;
    @c(LIZ = "combo_count")
    public Long LJIIJ;
    @c(LIZ = "msg_id")
    public Long LJIIJJI;
    @c(LIZ = "tray_display_text")
    public Text LJIIL;
    @c(LIZ = "tray_info")
    public GiftTrayInfo LJIILIIL;
    @c(LIZ = "gift")
    public Gift LJIILJJIL;

    static {
        Covode.recordClassIndex(16401);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJFF != null) {
            sb.append(", display_text=");
            sb.append(this.LJFF);
        }
        if (this.LJI != null) {
            sb.append(", describe=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", gift_id=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", group_count=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", repeat_count=");
            sb.append(this.LJIIIZ);
        }
        if (this.LJIIJ != null) {
            sb.append(", combo_count=");
            sb.append(this.LJIIJ);
        }
        if (this.LJIIJJI != null) {
            sb.append(", msg_id=");
            sb.append(this.LJIIJJI);
        }
        if (this.LJIIL != null) {
            sb.append(", tray_display_text=");
            sb.append(this.LJIIL);
        }
        if (this.LJIILIIL != null) {
            sb.append(", tray_info=");
            sb.append(this.LJIILIIL);
        }
        if (this.LJIILJJIL != null) {
            sb.append(", gift=");
            sb.append(this.LJIILJJIL);
        }
        sb.replace(0, 2, "GiftData{");
        sb.append('}');
        return sb.toString();
    }
}
